JobControllerQueryJobs Method |
POST /Job/Query/
Gets the jobs with the given information.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Query")]
public HttpResponseMessage QueryJobs(
[FromBodyAttribute] GetJobsOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Query")>
Public Function QueryJobs (
<FromBodyAttribute> options As GetJobsOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Query")]
HttpResponseMessage^ QueryJobs(
[FromBodyAttribute] GetJobsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Query")>]
member QueryJobs :
[<FromBodyAttribute>] options : GetJobsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetJobsOptions
An object that carries all needed information about the jobs that need to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
An array of
JobData objects, or a status code indicating the problem.
See Also